import { ZdPage } from '@zeedhi/vue';
import { ZdFramePage } from '@zeedhi/vuetify';

const routes = [
    {
        path: '/',
        name: 'home',
        component: () => import('../views/Home.vue'),
    },
    {
        name: 'fm_00011_000_analise_nao_conformidades',
        path: '/fm_00011_000_analise_nao_conformidades',
        component: ZdPage,
        props: {
            path: 'fm_00011_000_analise_nao_conformidades/fm_00011_000_analise_nao_conformidades',
            local: true,
        },
    },
    {
        path: '/fm_00004_000_tarefas',
        name: 'Tarefas',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00004_000_tarefas/fm_00004_000_tarefas',
                routePath: '/fm_00004_000_tarefas',
            },
        },
    },
    {
        name: 'DashboardSensor',
        path: '/DashboardSensor',
        component: ZdPage,
        props: {
            path: 'sensor/layout_dashboardSensor',
            local: true,
        },
    },
    {
        name: 'ContadorSentidoUnico',
        path: '/SentidoUnico',
        component: ZdPage,
        props: {
            path: 'sensor/layout_sentidoUnico',
            local: true,
        },
    },
    {
        name: 'ContadorSentidoDuplo',
        path: '/SentidoDuplo',
        component: ZdPage,
        props: {
            path: 'sensor/layout_sentidoDuplo',
            local: true,
        },
    },
    {
        name: 'ContadorSentidoGeral',
        path: '/SentidoGeral',
        component: ZdPage,
        props: {
            path: 'sensor/layout_sentidoGeral',
            local: true,
        },
    },
    {
        path: '/fm_00007_000_calendario',
        name: 'Calendario',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00007_000_calendario/fm_00007_000_calendario',
                routePath: '/fm_00007_000_calendario',
            },
        },
    },
    {
        name: 'fm_0000_000_historico_transferencia',
        path: '/fm_0000_000_historico_transferencia',
        component: ZdPage,
        props: {
            path: 'fm_0000_000_historico_transferencia/fm_0000_000_historico_transferencia',
            local: true,
        },
    },
    // {
    //     path: '/fm_00008_000_hierarquia_usuarios',
    //     name: 'hierarquiaUsuarios',
    //     component: ZdFramePage,
    //     props: {
    //         type: 'post',
    //         params: {
    //             jsonPath: '/fm_00008_000_hierarquia_usuarios/fm_00008_000_hierarquia_usuarios',
    //             routePath: '/fm_00008_000_hierarquia_usuarios',
    //         },
    //     },
    // },
    {
        path: '/zeedhi',
        name: 'zeedhi',
        component: ZdPage,
        props: () => ({
            path: 'zeedhi',
            local: true,
        }),
    },
    {
        path: '/auth/login',
        name: 'login',
        component: ZdPage,
        props: () => ({
            path: 'login',
            local: true,
        }),
    },
    {
        path: '*',
        component: ZdPage,
        props: {
            path: 'notfound',
            local: true,
        },
    },
    {
        path: '/fm_00003_000_checklist',
        name: 'Checklist',
        component: ZdPage,
        props: {
            path: 'fm_00003_000_checklist/fm_00003_000_checklist',
            local: true,
        },
    },
    // {
    //     path: '/fm_00000_000_dashboard',
    //     name: 'Dashboard',
    //     component: ZdFramePage,
    //     props: {
    //         type: 'post',
    //         params: {
    //             jsonPath: 'fm_00000_000_dashboard/fm_00000_000_dashboard',
    //             routePath: '/fm_00000_000_dashboard',
    //         },
    //     },
    // },
    {
        path: '/fm_00000_000_dash_tarefas',
        name: 'Dashboard',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00000_000_dash_tarefas/fm_00028_001_relatorio_customizavel_tarefas',
                routePath: '/fm_00000_000_dash_tarefas',
            },
        },
    },
    {
        path: '/FM_00002_000_gerenciar_locais',
        name: 'Gerenciar Locais',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00002_000_gerenciar_locais/FM_00002_000_gerenciar_locais',
                routePath: '/FM_00002_000_gerenciar_locais',
            },
        },
    },
    {
        path: '/perfilDeAcesso',
        component: ZdPage,
        props: {
            path: 'perfilDeAcesso/perfilDeAcesso',
            local: true,
        },
    },
    {
        path: '/fm_00005_000_vistorias',
        name: 'Vistorias',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00005_000_vistorias/fm_00005_000_vistorias',
                routePath: '/fm_00005_000_vistorias',
            },
        },
    },
    {
        path: '/Sensores',
        component: ZdPage,
        props: {
            path: 'parametrosSensor',
            local: true,
        },
    },
    {
        path: '/fm_070_000_parametros_sensor',
        component: ZdPage,
        props: {
            path: '/fm_070_000_parametros_sensor/fm_070_000_parametros_sensor',
            local: true,
        },
    },
    {
        path: '/fm_00020_000_solicitacoes',
        name: 'Solicitações',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00020_000_solicitacoes/fm_00020_000_solicitacoes',
                routePath: '/fm_00020_000_solicitacoes',
            },
        },
    },
    {
        path: '/fm_00021_000_apontamento',
        name: 'Apontamento',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: '/fm_00021_000_apontamento/fm_00021_000_apontamento',
                routePath: '/fm_00021_000_apontamento',
            },
        },
    },
    {
        name: 'Tarefa Recorrente',
        path: '/fm_00030_000_tarefas_recorrentes',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00030_000_tarefas_recorrentes/fm_00030_000_tarefas_recorrentes',
                routePath: '/fm_00030_000_tarefas_recorrentes',
            },
        },
    },
    {
        path: '/fm_00010_000_parametrizao_geral',
        name: 'Parametrização Geral',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00010_000_parametrizao_geral/fm_00010_000_parametrizao_geral',
                routePath: '/fm_00010_000_parametrizao_geral',
            },
        },
    },
    {
        path: '/fm_00028_000_relatorios',
        name: 'Relatorios Customizavel Vistorias',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00028_000_relatorios/fm_00028_000_relatorios',
                routePath: '/fm_00028_000_relatorios',
            },
        },
    },
    {
        name: 'Histórico de Transferência de Tarefas',
        path: '/fm_0000_000_historico_transferencia',
        component: ZdPage,
        props: {
            path: 'fm_0000_000_historico_transferencia/fm_0000_000_historico_transferencia',
            local: true,
        },
    },
    {
        path: '/fm_00031_000_tarefas_vistorias_contrato',
        name: 'Tarefas/Vistorias por Contrato',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00031_000_tarefas_vistorias_contrato/fm_00031_000_tarefas_vistorias_contrato',
                routePath: '/fm_00031_000_tarefas_vistorias_contrato',
            },
        },
    },
    {
        path: '/fm_00028_003_relatorio_tarefas_atrasadas',
        name: 'Relatorios Tarefas Atrasadas',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00028_000_relatorios/fm_00028_003_relatorio_tarefas_atrasadas',
                routePath: '/fm_00028_003_relatorio_tarefas_atrasadas',
            },
        },
    },
    {
        path: '/fm_00040_000_auditoria',
        name: 'Auditoria de Tarefas',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00040_000_auditoria/fm_00040_000_auditoria',
                routePath: '/fm_00040_000_auditoria',
            },
        },
    },
    {
        path: '/fm_00000_000_habilidades',
        name: 'habilidades',
        component: ZdFramePage,
        props: {
            type: 'post',
            params: {
                jsonPath: 'fm_00000_000_habilidades/fm_00000_001_habilidades',
                routePath: '/fm_00000_001_habilidades',
            },
        },
    },
    {
        path: '/modules/:module/:page',
        name: 'microservice',
        component: () => import('../views/Microservice.vue'),
    },
    {
        path: '*',
        component: ZdPage,
        props: {
            path: 'notfound',
            local: true,
        },
    },
];

export default routes;
